unit fr_dbstate;

interface

uses 
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, ComCtrls, DB, rDBComponents_UDB, rImprovedComps, pngimage,
  rHTMLLabel;

type
  TfrDBState = class(TFrame)
    Image4: TImage;
    gbInfo: TrGroupBox;
    ImgEditLogo: TImage;
    lblMainCaption: TrHTMLLabel;
    btUnlock: TrHTMLLabel;
    btImport: TrHTMLLabel;
    btRecInfo: TrHTMLLabel;
    procedure btRecInfoAnchorClick(Sender: TObject; LinkName: String);
    procedure btImportAnchorClick(Sender: TObject; LinkName: string);
    procedure btUnlockAnchorClick(Sender: TObject; LinkName: string);
    procedure lblMainCaptionClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    procedure SetState(DS: TDataSet);
  end;

implementation

uses dm_data, bf_baseform, dm_res, f_main, edit_baseform;

{$R *.dfm}

procedure TfrDBState.SetState(DS: TDataSet);
begin
  if not (Owner is TBaseForm) then
  begin
    btRecInfo.Hide;
    btImport.Hide;
    Exit;
  end;
  with (Owner as TBaseForm) do
  begin
    btRecInfo.Visible:= Assigned(DS.FindField(fRecCreatedBy));
    btImport.Visible:=CanBatchEdit and CanNew and actNew.Visible;
    btUnlock.Visible:=Main.UserProfileRec.IsLockedDataAdmin and (IsLocked);
  end;
end;

procedure TfrDBState.btRecInfoAnchorClick(Sender: TObject;
  LinkName: String);
begin
  if Owner is TBaseForm then
    DMData.TestShowUzivatel(ord('U'),[ssShift,ssCtrl],(Owner as TBaseForm).GetDataSet);
end;

procedure TfrDBState.btUnlockAnchorClick(Sender: TObject; LinkName: string);
begin
  if Owner is TEditBaseForm then
    (Owner as TEditBaseForm).UnlockRec;
end;

procedure TfrDBState.lblMainCaptionClick(Sender: TObject);
begin
  if Owner is TEditBaseForm then
    (Owner as TEditBaseForm).ShowPrevNextList;
end;

procedure TfrDBState.btImportAnchorClick(Sender: TObject; LinkName: string);
begin
  if Owner is TBaseForm then
    DMData.RunImport((Owner as TBaseForm).GetDataSet);
end;

end.
